petsc-3.12.4 2020-02-04
Report Typos and Errors

# TSComputeRHSJacobianConstant

Reuses a Jacobian that is time-independent.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSComputeRHSJacobianConstant(TS ts,PetscReal t,Vec U,Mat A,Mat B,void *ctx)

Collective on TS

### Input Arguments

| ts | - time stepping context
| t | - time at which to evaluate
| U | - state at which to evaluate
| ctx | - context

### Output Arguments

| A | - pointer to operator
| B | - pointer to preconditioning matrix
| flg | - matrix structure flag

### Notes

This function is intended to be passed to TSSetRHSJacobian() to evaluate the Jacobian for linear time-independent problems.

### See Also

TSSetRHSFunction(), TSSetRHSJacobian(), TSComputeRHSFunctionLinear()

### Level

intermediate

### Location

src/ts/interface/ts.c

### Examples

src/ts/examples/tutorials/ex3.c.html
src/ts/examples/tutorials/ex4.c.html
src/ts/examples/tutorials/ex5.c.html
src/ts/examples/tutorials/ex6.c.html
src/tao/unconstrained/examples/tutorials/spectraladjointassimilation.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages